Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 811260 - [abrt] taskcoach-1.2.6-2.fc15: observer.py:136:values:KeyError: None
Summary: [abrt] taskcoach-1.2.6-2.fc15: observer.py:136:values:KeyError: None
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: taskcoach
Version: 16
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Tomas 'Sheldon' Radej
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:2bfb85bb28ab9a2297f7d5b1ed9...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-04-10 14:49 UTC by Juris Krumins
Modified: 2013-02-13 23:45 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-02-13 23:45:43 UTC
Type: ---


Attachments (Terms of Use)

Description Juris Krumins 2012-04-10 14:49:35 UTC
libreport version: 2.0.8
abrt_version:   2.0.7
cmdline:        /usr/bin/python /usr/bin/taskcoach
comment:        I don't know.
executable:     /usr/bin/taskcoach
kernel:         3.3.1-3.fc16.x86_64
reason:         observer.py:136:values:KeyError: None
time:           Tue 10 Apr 2012 17:12:27 EEST
uid:            1000

backtrace:
:observer.py:136:values:KeyError: None
:
:Traceback (most recent call last):
:  File "/usr/lib/python2.7/site-packages/taskcoachlib/gui/dialog/editor.py", line 1175, in ok
:    self.okInterior()
:  File "/usr/lib/python2.7/site-packages/taskcoachlib/patterns/observer.py", line 169, in decorator
:    event.send()
:  File "/usr/lib/python2.7/site-packages/taskcoachlib/patterns/observer.py", line 155, in send
:    Publisher().notifyObservers(self)
:  File "/usr/lib/python2.7/site-packages/taskcoachlib/patterns/observer.py", line 338, in notifyObservers
:    observer(event.subEvent(*eventTypesAndSources))
:  File "/usr/lib/python2.7/site-packages/taskcoachlib/patterns/observer.py", line 188, in __call__
:    return self.method(*args, **kwargs)
:  File "/usr/lib/python2.7/site-packages/taskcoachlib/domain/effort/composite.py", line 160, in onStopTracking
:    stoppedEffort = event.value()
:  File "/usr/lib/python2.7/site-packages/taskcoachlib/patterns/observer.py", line 129, in value
:    return self.values(source, type)[0]
:  File "/usr/lib/python2.7/site-packages/taskcoachlib/patterns/observer.py", line 136, in values
:    source = source or self.__sourcesAndValuesByType[type].keys()[0]
:KeyError: None
:
:Local variables in innermost frame:
:source: None
:self: Event({})
:type: None

Comment 1 Juris Krumins 2012-04-17 14:57:54 UTC
I don't know. Probably started taskcoach.

Package: taskcoach-1.2.6-2.fc15
OS Release: Fedora release 16 (Verne)

Comment 2 Fedora End Of Life 2013-01-16 17:06:28 UTC
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 3 Fedora Admin XMLRPC Client 2013-01-29 16:07:18 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 4 Fedora End Of Life 2013-02-13 23:45:46 UTC
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.